[client]
port = 3306
socket = /var/lib/mysql/mysql.sock

[isamchk]
key_buffer_size = 16M

[mysqld]
basedir = /usr
bind-address = 0.0.0.0
binlog-format = ROW
character-set-server = utf8mb4
collation-server = utf8mb4_general_ci
datadir = /var/lib/mysql
default-storage-engine = innodb
expire_logs_days = 3
ignore_db_dirs = lost+found
ignore_db_dirs = tmp
innodb_buffer_pool_size = 6G
innodb_file_per_table
innodb_log_file_size = 1536M
key_buffer_size = 256M
log-error = /var/log/mariadb/mariadb.log
log_bin = mariadb-bin
log_bin_trust_function_creators
log_queries_not_using_indexes = false
long_query_time = 5
max_allowed_packet = 16M
max_binlog_size = 100M
max_connections = 51
max_sp_recursion_depth = 16
performance_schema = ON
pid-file = /var/lib/mysql/mariadb.pid
plugin_load_add = server_audit
port = 3306
query_cache_size = 0
read_only = false
relay-log = mariadb-relay-bin
report_host = xxxxxxxxxxxxxxx
server_audit = FORCE_PLUS_PERMANENT
server_audit_events = CONNECT,QUERY_DDL,QUERY_DCL
server_audit_file_path = /var/log/mariadb/audit.log
server_audit_logging = ON
server_id = 1
skip-external-locking
slow_query_log
slow_query_log_file = /var/log/mariadb/slow_query.log
socket = /var/lib/mysql/mysql.sock
ssl = false
sync_binlog = 1
table_definition_cache = 4400
table_open_cache = 8000
thread_cache_size = 8
thread_stack = 256K
tmpdir = /var/lib/mysql/tmp
user = mysql

[mysqld-5.0]
myisam-recover = BACKUP

[mysqld-5.1]
myisam-recover = BACKUP

[mysqld-5.5]
myisam-recover = BACKUP
query_cache_limit = 1M
query_cache_size = 16M

[mysqld-5.6]
myisam-recover-options = BACKUP
query_cache_limit = 1M
query_cache_size = 16M

[mysqld-5.7]
myisam-recover-options = BACKUP
query_cache_limit = 1M
query_cache_size = 16M

[mysqld_safe]
log-error = /var/log/mariadb/mariadb.log
nice = 0
socket = /var/lib/mysql/mysql.sock

[mysqldump]
max_allowed_packet = 16M
quick
quote-names

